@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=.select-wrapper');

:root {
    --primary-color: #4e5358;
    --background-color: #f9f5f0;
    --dark-color: #151515;
}

html {
    font-size: 90.5%;
    font-family: 'Poppins', sans-serif;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* ********************************** */
/*             UTILIDADES             */
/* ********************************** */
.container {
    max-width: 120rem;
    margin: 0 70px;

}

.header1 {
    text-align: center;
    font-weight: 500;
    font-size: 3rem;

}

/* ********************************** */
/*               HEADER               */
/* ********************************** */
.container-hero {
    background-color: var(--background-color);
}

.hero {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 8PX 0;

}

.customer-support {
    display: flex;
    align-items: center;
    gap: 2rem;
    font-size: 70.5%;
    margin-top: 30px;
}

.customer-support i {
    font-size: 2.3rem;

}

.content-customer-support {
    display: flex;
    flex-direction: column;
}

.container-logo {
    display: flex;
    align-items: center;
    gap: 0.5rem;

}

.container-logo i {
    font-size: 3rem;
}

.container-logo h1 a {
    text-decoration: none;
    color: #000;
    font-size: 3rem;
    text-transform: uppercase;
    letter-spacing: -1px;
}

.container-user {
    display: flex;
    gap: 1rem;
    cursor: pointer;
    margin-top: 30px;
}

.container-user .fa-user {
    font-size: 3rem;
    color: var(--primary-color);
    padding-right: 2.5rem;
    border-right: 1px solid #e2e2e2;
}

.container-user .fa-basket-shopping {
    font-size: 3rem;
    color: var(--primary-color);
    padding-left: 1rem;
}

.content-shopping-cart {
    display: flex;
    flex-direction: column;
}

#logoimg {
    height: 100px;

}

.primary#cotizar {
    background-color: #3855b0;
}

.primary#cotizar:hover {
    background-color: #273c7d;
}
   /* Estilos para pantallas pequeñas */
   @media (max-width: 768px) {
    .container-hero {
      flex-direction: column; /* Cambia la dirección de la columna en pantallas pequeñas */
    }
  
    .customer-support,
    .container-user {
      display: none; /* Oculta los elementos en pantallas pequeñas */
    }
  
    .container-logo {
      text-align: center; /* Centra el logo en pantallas pequeñas */
    }
    #navPanelToggle{
        margin-top: 5px;
        color: white;
        font-size: 150%;
        text-shadow: 2px 2px 4px #000 ;
      }
  }
  /* Estilos para pantallas pequeñas */
  @media (max-width: 768px) {
    .container {
      flex-direction: column; /* Cambia la dirección de la columna */
      text-align: center; /* Centra el contenido en pantallas pequeñas */
      padding: 0; /* Quita el padding en pantallas pequeñas */
    }
  }
  



#header1 {
    background-color: rgb(255, 255, 255);
}

#nav {
    background-color: #4e5358;
}

#sec1 {
    background-color: #1e252d;
}




/* ********************************** */
/*              FOOTER               */
/* ********************************** */

footer {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    background-color: #4e5358;
    /* Color de fondo del footer, ajusta según tu diseño */
    padding: px;
    /* Ajusta el espaciado interior según tus necesidades */
    color: #fff;
    /* Color del texto, ajusta según tu diseño */
    text-align: center;
    /* Centra el texto en cada sección del footer */
}

.footer-section {
    flex: 1;
    text-align: left;
    /* Alinea el texto a la izquierda dentro de cada sección */
    padding: 30px;
    /* Ajusta el espaciado interno según tus necesidades */
}

.logofooter {
    width: 250%;
    /* Ajusta el ancho de la imagen según tus necesidades */
    max-width: 250px;
    /* Ancho máximo para evitar que la imagen sea demasiado grande en dispositivos grandes */
    height: 90%;
    /* Para mantener la proporción de la imagen */
}

.footer-section a {
    color: #fff;
    /* Color de los enlaces, ajusta según tu diseño */
    text-decoration: none;
}

.icons.alt {
    display: flex;
    justify-content: center;
    list-style: none;
    padding: 0;
}

.icons.alt li {
    margin: 0 5px;
    /* Ajusta el espaciado entre los iconos según tus necesidades */
}

@media (max-width: 768px) {
    footer {
        flex-direction: column;
        align-items: center;
    }

    .footer-section {
        flex: 1;
        text-align: center;
        padding: 20px;
    }

    .footer-section:not(:last-child) {
        margin-bottom: 20px;
    }

    .logofooter {
        width: 100%;
        max-width: none;
    }
}


/* ********************************** */
/*              SECCIONES               */
/* ********************************** */



/* Seccion Banner */

.icon-list, .icon-list2{
    list-style: none;
    display: flex;
  }
  
  .icon-list li {
    flex: 1;
    text-align: center;
    padding: 1px;
  }

  .icon-list2 li {
    flex: 1;
    text-align: center;
    padding: 1px;
  }
  
  .icon-list a img {
    width: 50px; /* Ajusta el tamaño de los iconos según tus necesidades */
    height: 50px;
    display: block;
    margin: 0 auto;
  }

  .icon-list2 a img {
    width: 50px; /* Ajusta el tamaño de los iconos según tus necesidades */
    height: 50px;
    display: block;
    margin: 0 auto;
  }

  ul li a {
    text-decoration: none; /* Elimina la decoración del subrayado */
    color: white;
  }
 
  

/* Estilo para los iconos en la lista */
.icon-list li a {
    font-size: 15px; /* Tamaño de fuente para los iconos */
    color: #ffffff; /* Color de los iconos */
    margin-right: 10px; /* Espaciado a la derecha entre los iconos (ajusta según sea necesario) */
  }
  
  /* Cambia el color de los iconos al pasar el mouse sobre ellos */
  .icon-list li a:hover {
    color: #000000; /* Cambia a tu color deseado al pasar el mouse sobre los iconos */
  }
  .icon-list2 li a {
    font-size: 15px; /* Tamaño de fuente para los iconos */
    color: #ffffff; /* Color de los iconos */
    margin-right: 10px; /* Espaciado a la derecha entre los iconos (ajusta según sea necesario) */
  }

  

  
  
.banner {
    background-image: linear-gradient(100deg, #695a0551, #05060136),
        url('../images/banner3.jpg');
    height: 42rem;
    background-size: cover;
    background-position: center;
}

.maps{
    padding-top: 50px;
}
.contenido-contacto{
    padding-top: 30px;
padding-right: 50px;
margin-left: -50px;
}
.contenido-contacto{
    transform: translateX(100%);
    animation: slideInFromLeft .5s ease-in-out forwards;
}
@keyframes slideInFromLeft {
    from {
        transform: translateX(100%);
    }
    to {
        transform: translateX(0);
    }
}
.maps{
    transform: translateX(-100%);
    animation: slideInFromRight.5s ease-in-out forwards;
}
@keyframes slideInFromRight {
    from {
        transform: translateX(-100%);
    }
    to {
        transform: translateX(0);
    }
}
.redes{
    padding-top: 30px;
}
.redes, .redess{
    transform: translateY(100%);
    animation: slideInFromBottom .7s ease-in-out forwards;
}
@keyframes slideInFromBottom {
    from {
        transform: translateY(100%);
    }
    to {
        transform: translateY(0);
    }
}
.redess{
    margin-top:  20px;

}

label{
    color: white;
    text-decoration: white;
    margin-bottom: -2px;
    padding-top: 10px;
}

.primary#button {
margin-top: 20px;
}

.primary#button { 
    background-color: #ffbb00;
   
}
.primary#button:hover {
    background-color: #ffcd03;
}

h1#info {
    color: #fff;
    text-align: left;
    text-decoration: none;
    text-transform: none;
    font-size: 30px;
    font-family:'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
}

h2#title {
    font-size: 40px;
   
}

#maps{
    width: 100%;
    height: 350px;
max-height: 600px;
    max-width: 600px;
    /* Ajusta el tamaño de la imagen según sea necesario */
    border-radius: 8px;
    /* Bordes redondeados para la imagen */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    /* Sombra para la imagenh2# */
    animation: imagenAnimacion 1s ease-in-out infinite alternate;
    /* Animación */
}

.content-banner h2 {
    color: #fff;
    font-size: 3.5rem;
    font-weight: 500;
    line-height: 1.2;
}

.content-banner a {
    margin-top: 2rem;
    text-decoration: none;
    color: #fff;
    background-color: var(--primary-color);
    display: inline-block;
    padding: 1rem 3rem;
    text-transform: uppercase;
    border-radius: 3rem;
}

.banner#contacto-seccion {
    display: flex;
    align-items: top;
    padding: 60px;
    padding-top: 35px;
    background-color: #1e252d;
}


.imagen-container {
    flex: 1;
    margin-left: 50px;
}

.imagen-contacto {
    width: 100%;
    max-width: 600px;
    /* Ajusta el tamaño de la imagen según sea necesario */
    border-radius: 8px;
    /* Bordes redondeados para la imagen */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    /* Sombra para la imagen */
    animation: imagenAnimacion 1s ease-in-out infinite alternate;
    /* Animación */
}

.contenido-contacto {
    flex: 1;
    padding-left: 150px;
    /* Espaciado entre la imagen y el contenido */
}

h2 {
    color: #fff;
    font-size: 2.5rem;
    font-weight: 500;
    line-height: 1.2;
}

p {
    color: #f7f7f7;
    margin-bottom: 20px;
}


/* Color normal del botón */
.button.primary {
    background-color: #1ea837;
    color: white;
    border-radius: 5px;
}

/* Color del botón al pasar el ratón sobre él (hover) */
.button.primary:hover {
    background-color: #45a049;
}

.boton-contacto:hover {
    background-color: rgb(255, 255, 255);
}



/* Consulta de medios para dispositivos pequeños */
@media only screen and (max-width: 767px) {
    .banner#contacto-seccion {
        padding: 0;
        text-align: left;
        flex-direction: column; /* Cambia la dirección a column para dispositivos pequeños */
        height: auto;
        margin-left: -50px;
        background-position: center;
        background-size: cover;

    }

    .imagen-container {
        padding: 0;
        text-align: left;
        margin-left: -0px;
        flex-direction: column;

    }
    h2#title{
        font-size: 200%;
        color: #fff;
        line-height: 1;
        padding: 0;

    }


    .imagen-contacto {
        width: 100%; /* Ajusta el ancho según tus necesidades */
        max-width: 100%;
        flex-direction: row;
    }
    
        .imagen-container {
            order: 2; /* Cambia el orden para que aparezca debajo del texto */
        }
    
        .contenido-contacto {
            order: 1; /* Cambia el orden para que aparezca encima del texto */
        }
        .redess{
            padding-left: 30px;

        }
    }





/* Seccion Quienes Somos */
.seccion1 {
    background-image: linear-gradient(100deg, #16122200, #11102a00),
        url('../images/sec1.png');
    /* height: rem; */
    background-size: 90%;
    background-position:initial;
    padding-top: 40px;

}

.container#sec1 {
    display: flex;
    padding: 20px;
    background-color: #6a292900;
    padding-left: 200px;
    padding-right: 10px;
}

.left-column {
    width: 35%;
    justify-content: right;
}

.right-column {
    padding-left: 20px;
    width: 50%;
    justify-content: left;
}

.right-column {
    margin-top: 10px;
}



h1#title {
    color: #fff;
    text-align: center;
    text-decoration: none;
    text-transform: none;
    font-size: 50px;
    font-family:'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
}

ul {
    list-style-type: disc;
    /* Estilo de lista con puntos */
}

ul#somos li {
    color: #ffffff;
    line-height: 1.8;
}




/* Seccion Valores */

.seccion2 {
    background-image: linear-gradient(100deg, #16122200, #11102a00),
        url('../images/banner2.png');
    /* height: rem; */
    background-size: cover;
    background-position: center;

}
.bottom-container {
    display: flex;
    justify-content: space-between;
    background-color: #d9d9d900;
    text-align: center;
}

.bottom-column {
    width: 30%;
    padding: 10px;
    background-color: #d9d9d900;
    margin-right: 10px;
}

img#valores {
    width: 25%;
    max-width: 100%;
    height: auto;
   
}
h3 {
    margin-top: 10px;
    color: #ffffff;
}

p {
    color: #ffffff;
}

